{
   "type": "minecraft:crafting_shaped",
   "pattern": [
       "121",
       "343"
   ],
   "key": {
       "1": {
           "item": "minecraft:bottle"
       },
       "2": {
         "item": "minecraft:copper_block"
       },
       "3": {
           "item": "infernalexp:glowsilk"
       },
       "4": {
           "item": "exlinecopperequipment:copper_helmet"
       }
   },
   "result": {
       "item": "artifacts:plastic_drinking_hat",
       "count": 1
   }
}